Get Order status

There are two ways to get this done.

  • Listening for payment webhooks: We covered how to create a webhook listener here in the getting setup guide - if you haven't done this already, go back to this step to get ready to receive webhooks.
  • Calling get order-details API (API link): You can retrieve directly the latest status by specifying the order ID as a path parameter.
    curl --location 'https://sandbox-api.transfi.com/v3/orders/OR-2512221500071811800' \
    --header 'mid: SAH1N3_NA_NA' \
    --header 'Authorization: Basic =='
    {
        "status": "success",
        "data": {
            "id": "OR-2509300734314251701",
            "status": "initiated",
            "type": "payin",
            "purposeCode": "personal",
            "purposeCodeReason": "Personal payments",
            "source": {
                "currency": "USD",
                "amount": "10",
                "paymentType": "bank_transfer"
            },
            "destination": {
                "currency": "USDT",
                "amount": "9.047619"
            },
            "userId": "UX-250910053447199",
            "senderName": {
                "firstName": "Anubhav",
                "lastName": "B"
            },
            "mid": "ABCDEF_NA_NA",
            "fees": {
                "networkFee": 0,
                "rrFee": 0,
                "processingFee": 0.5,
                "fixedFee": {
                    "totalFixedFees": 0,
                    "totalFixedTfFees": 0,
                    "totalFixedCxFees": 0,
                    "fixedFeesCurrency": "USD",
                    "fixedFeeDetails": {
                        "baseFeeFixedRate": 0,
                        "tfFeeFixedRate": 0,
                        "cxFeeFixedRate": 0,
                        "currency": ""
                    }
                }
            }
        }
    }
    {
        "status": "success",
        "data": {
            "id": "OR-2509300802497328018",
            "status": "initiated",
            "type": "payin",
            "purposeCode": "personal",
            "source": {
                "currency": "USDT",
                "amount": "100"
            },
            "destination": {
                "currency": "EUR",
                "amount": "84.301671",
                "walletAddress": "dummy_0x63d3CEAE80000000Ab8B4000rwwr"
            },
            "userId": "UX-250910053447199",
            "senderName": {
                "firstName": "sumanth",
                "lastName": "md"
            },
            "mid": "ABCDEF_NA_NA",
            "fees": {
                "networkFee": 0,
                "processingFee": 1.720442,
                "fixedFee": {
                    "totalFixedFees": 0,
                    "totalFixedTfFees": 0,
                    "totalFixedCxFees": 0,
                    "fixedFeesCurrency": "EUR",
                    "fixedFeeDetails": {
                        "baseFeeFixedRate": 0,
                        "tfFeeFixedRate": 0,
                        "cxFeeFixedRate": 0,
                        "currency": ""
                    }
                },
                "feeMode": "percentage"
            }
        }
    }